
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { GroupFeatureComponent } from './group-feature.component';
import { GroupFeatureRoutingModule } from './group-feature-routing.module';
import { MyGroupsComponent } from './my-groups/my-groups.component';
import { SearchGroupsComponent } from './search-groups/search-groups.component';
import { ManageScheduleComponent } from './manage-schedule/manage-schedule.component';
import { NewGroupComponent } from './new-group/new-group.component';
import { ButtonModule, CheckBoxModule } from '@syncfusion/ej2-angular-buttons';
import { AutoCompleteModule, DropDownListModule, ComboBoxModule } from '@syncfusion/ej2-angular-dropdowns';
import { NumericTextBoxModule, UploaderModule } from '@syncfusion/ej2-angular-inputs';
import { TabAllModule } from '@syncfusion/ej2-angular-navigations';
import { DialogAllModule } from '@syncfusion/ej2-angular-popups';
import { GridAllModule } from '@syncfusion/ej2-angular-grids';
import { DatePickerModule } from '@syncfusion/ej2-angular-calendars';

import { LookupService } from './../services/lookupServices'
import { GroupService } from './../services/group.service';
import { GroupMemberService } from './../services/groupMember.service';
import { LocationService } from './../services/location.service';
import { HttpClientModule } from "@angular/common/http";
import { GroupMembersComponent } from './group-members/group-members.component';
import { GroupLocationsComponent } from './group-locations/group-locations.component';
import { ManageGroupContactsComponent } from './manage-group-contacts/manage-group-contacts.component';

@NgModule({
    declarations: [
        MyGroupsComponent,
        GroupFeatureComponent,
        SearchGroupsComponent,
        ManageScheduleComponent,
        NewGroupComponent,
        GroupMembersComponent,
        GroupLocationsComponent,
        ManageGroupContactsComponent
    ],
    imports: [
      
      CommonModule,
      GroupFeatureRoutingModule,
      ButtonModule,
      FormsModule,
      ReactiveFormsModule,
      AutoCompleteModule,
      DropDownListModule,
      ComboBoxModule,
      NumericTextBoxModule,
      TabAllModule,
      GridAllModule,
      DialogAllModule,
      DatePickerModule,
      CheckBoxModule,
      UploaderModule,
      HttpClientModule
    ],
    providers: [LookupService, GroupService, GroupMemberService, LocationService]
})
export class GroupFeatureModule { }
